libvisio::VSDLayerList Class Reference documentation

libvisio::VSDLayerList Class Reference

`#include <VSDLayerList.h>`

## Public Member Functions
| VSDLayerList ()
| VSDLayerList (const VSDLayerList &layerList)
| ~VSDLayerList ()
VSDLayerList & | operator= (const VSDLayerList &layerList)
void | clear ()
void | addLayer (unsigned id, const VSDLayer &layer)
const Colour * | getColour (const std::vector< unsigned > &ids)
bool | getVisible (const std::vector< unsigned > &ids)
bool | getPrintable (const std::vector< unsigned > &ids)

## Private Attributes
std::map< unsigned, VSDLayer > | m_elements

## Constructor & Destructor Documentation

## ◆ VSDLayerList() [1/2]

libvisio::VSDLayerList::VSDLayerList | ( |  | ) |

## ◆ VSDLayerList() [2/2]

libvisio::VSDLayerList::VSDLayerList | ( | const VSDLayerList & | layerList | ) |

## ◆ ~VSDLayerList()

libvisio::VSDLayerList::~VSDLayerList | ( |  | ) |

## Member Function Documentation

## ◆ addLayer()

void libvisio::VSDLayerList::addLayer | ( | unsigned | id,
|  | const VSDLayer & | layer )

## ◆ clear()

void libvisio::VSDLayerList::clear | ( |  | ) |

Referenced by operator=(), and ~VSDLayerList().

## ◆ getColour()

const libvisio::Colour * libvisio::VSDLayerList::getColour | ( | const std::vector< unsigned > & | ids | ) |

## ◆ getPrintable()

bool libvisio::VSDLayerList::getPrintable | ( | const std::vector< unsigned > & | ids | ) |

## ◆ getVisible()

bool libvisio::VSDLayerList::getVisible | ( | const std::vector< unsigned > & | ids | ) |

## ◆ operator=()

libvisio::VSDLayerList & libvisio::VSDLayerList::operator= | ( | const VSDLayerList & | layerList | ) |

## Member Data Documentation

## ◆ m_elements

std::map<unsigned, VSDLayer> libvisio::VSDLayerList::m_elements
| private

Referenced by addLayer(), clear(), getColour(), getPrintable(), getVisible(), operator=(), VSDLayerList(), and VSDLayerList().

The documentation for this class was generated from the following files:

- VSDLayerList.h
- VSDLayerList.cpp